summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEvgeny Grin (Karlson2k) <k2k@narod.ru>2023-05-24 21:01:39 +0300
committerEvgeny Grin (Karlson2k) <k2k@narod.ru>2023-06-01 12:55:22 +0300
commitba5538e246d2835c0dde50f7995c87f57e2ebbb4 (patch)
tree36a313d948c66afd0df97fb6d4ad36ea063782c1
parentf5b06de9cde1b210a7c247f8764f00ddb2f62eeb (diff)
contrib/make-dist.sh: added use of zopfli if available
-rwxr-xr-xcontrib/make-dist.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/contrib/make-dist.sh b/contrib/make-dist.sh
index 2b66c35a..47d580ac 100755
--- a/contrib/make-dist.sh
+++ b/contrib/make-dist.sh
@@ -84,11 +84,22 @@ echo '** Patched build system ready.'
echo ''
# Build the configure and the related files with patches
+
+have_command()
+{
+ command -v "$1" >/dev/null 2>&1
+}
+
echo ''
echo '*** Building dist tarball...'
echo ''
./configure || exit 7
-make dist || exit 7
+if have_command zopfli; then
+ make dist-custm2 'ARC_CMD=zopfli -v --gzip --i15' 'ARC_EXT=tar.gz' || exit 7
+else
+ make dist || exit 7
+ echo '* zopfli is not installed, tarball size is suboptimal.'
+fi
echo ''
echo '** Dist tarball ready.'
echo ''